Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java	(revision 687)
@@ -7,8 +7,8 @@
 import org.eclipse.equinox.p2.core.IProvisioningAgent;
 import org.eclipse.equinox.p2.engine.IProfileRegistry;
 import org.eclipse.equinox.p2.ui.ProvisioningUI;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TxmPreferences;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.AdvancePreferencePage;
 import org.txm.utils.logger.Log;
 
@@ -67,6 +67,6 @@
 		// this is the default repository
 		//TXMUpdateHandler.addDefaultUpdateSites(agent);
 
-		Log.info(RCPMessages.FixUpdateHandler_0);
+		Log.info(TXMUIMessages.FixUpdateHandler_0);
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 687)
@@ -44,8 +44,8 @@
 import org.osgi.framework.Version;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.Activator;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TxmPreferences;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.AdvancePreferencePage;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.utils.BundleUtils;
@@ -139,7 +139,7 @@
 		try {
 			location = new URL(path); //$NON-NLS-1$
 		} catch (MalformedURLException e) {
-			Log.severe(NLS.bind(RCPMessages.LanguageSwitchHandler_5, location));
+			Log.severe(NLS.bind(TXMUIMessages.LanguageSwitchHandler_5, location));
 			return false;
 		}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 687)
@@ -44,6 +44,7 @@
 import org.txm.objects.Text;
 //import org.txm.functions.queryindex.QueryIndex;
 import org.txm.rcp.adapters.TXMResultAdapter;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -83,7 +84,7 @@
 					firstCorpusDiag = false;
 					for (MainCorpus corpus : corpora) {
 						if (corpus.getBase() == null) {
-							System.out.println(NLS.bind(RCPMessages.AdapterFactory_0, corpus));
+							System.out.println(NLS.bind(TXMUIMessages.AdapterFactory_0, corpus));
 						}
 					}
 				}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 687)
@@ -70,12 +70,12 @@
 import org.txm.objects.SavedQuery;
 import org.txm.objects.Text;
 import org.txm.objects.Workspace;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.handlers.results.DeleteObject;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.utils.logger.Log;
@@ -181,7 +181,7 @@
 	public void createPartControl(Composite parent) {
 		treeViewer = new TreeViewer(parent, SWT.MULTI | SWT.H_SCROLL | SWT.V_SCROLL);
 		PlatformUI.getWorkbench().getHelpSystem().setHelp(
-				treeViewer.getControl(), RCPMessages.CorporaView_0);
+				treeViewer.getControl(), TXMUIMessages.CorporaView_0);
 		getSite().setSelectionProvider(treeViewer);
 //		treeViewer.addFilter(new ViewerFilter() {
 //			@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 687)
@@ -68,9 +68,9 @@
 import org.txm.objects.SavedQuery;
 import org.txm.objects.TxmObject;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.handlers.files.EditFile;
 import org.txm.rcp.handlers.results.DeleteObject;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -157,7 +157,7 @@
 		Button export = new Button(parent, SWT.PUSH);
 		export.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				false));
-		export.setText(RCPMessages.QueriesView_1);
+		export.setText(TXMUIMessages.QueriesView_1);
 		export.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -170,7 +170,7 @@
 					dialog.setFilterPath(LastOpened.getFolder(ID));
 					dialog.setFileName(LastOpened.getFile(ID));
 				} else {
-					dialog.setFilterPath(new File(txmhome, RCPMessages.Explorer_3).getAbsolutePath());
+					dialog.setFilterPath(new File(txmhome, TXMUIMessages.Explorer_3).getAbsolutePath());
 				}
 				String path = dialog.open();
 				if (path == null) return;
@@ -184,7 +184,7 @@
 				
 				try {
 					FileWriter writer = new FileWriter(output);
-					writer.write(RCPMessages.QueriesView_5);
+					writer.write(TXMUIMessages.QueriesView_5);
 					for (MainCorpus b : CorpusManager.getCorpusManager().getCorpora()) {
 						writer.write(" " + b.getName() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 						for (SavedQuery q : b.getQueriesLog()) {
@@ -300,7 +300,7 @@
 				return ((TxmObject) element).getName();
 			else if (element instanceof SavedQuery)
 				return ((SavedQuery) element).toString();
-			return NLS.bind(RCPMessages.QueriesView_10, element);
+			return NLS.bind(TXMUIMessages.QueriesView_10, element);
 		}
 
 		/* (non-Javadoc)
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 687)
@@ -58,9 +58,9 @@
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
 import org.txm.objects.Page;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.editors.TXMBrowser;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.widget.PropertiesSelector;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
@@ -156,7 +156,7 @@
 				tv.expandToLevel(selectedProps.size()+1);
 			}
 		} catch (Exception e) {
-			System.out.println(RCPMessages.InternalCorpusView_0);
+			System.out.println(TXMUIMessages.InternalCorpusView_0);
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 		} 
 	}
@@ -309,7 +309,7 @@
 		//Button reload
 		Button openeditdialog = new Button(parent, SWT.PUSH);
 		openeditdialog.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
-		openeditdialog.setText(RCPMessages.InternalCorpusView_1);
+		openeditdialog.setText(TXMUIMessages.InternalCorpusView_1);
 		openeditdialog.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -348,7 +348,7 @@
 						}
 						attachedBrowserEditor.showPage(openedPage);
 					} else {
-						System.out.println(RCPMessages.SummaryView_0+node);
+						System.out.println(TXMUIMessages.SummaryView_0+node);
 					}
 
 					if (progresslistener != null) {
@@ -448,7 +448,7 @@
 				if (s == null || s.length() == 0) return ((Summary.TreeNode) element).toString();
 				return s;
 			}
-			return NLS.bind(RCPMessages.InternalCorpusView_2, element);
+			return NLS.bind(TXMUIMessages.InternalCorpusView_2, element);
 		}
 
 		/* (non-Javadoc)
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 687)
@@ -56,7 +56,6 @@
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.commands.OpenGraph;
 import org.txm.rcp.handlers.files.CopyFile;
@@ -65,6 +64,7 @@
 import org.txm.rcp.handlers.files.EditFile;
 import org.txm.rcp.handlers.files.PasteFile;
 import org.txm.rcp.handlers.files.RenameFile;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * Simple file explorer
@@ -131,8 +131,8 @@
 
 		// its widgets
 		Button go_up = new Button(controls, SWT.NONE);
-		go_up.setText(RCPMessages.Explorer_4);
-		go_up.setToolTipText(RCPMessages.Explorer_1);
+		go_up.setText(TXMUIMessages.Explorer_4);
+		go_up.setToolTipText(TXMUIMessages.Explorer_1);
 		go_up.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -147,7 +147,7 @@
 		if (currentPath == null)
 			currentPath = "/"; //$NON-NLS-1$
 		address.setText(currentPath);
-		address.setToolTipText(RCPMessages.Explorer_2);
+		address.setToolTipText(TXMUIMessages.Explorer_2);
 		address.addKeyListener(new KeyAdapter() {
 			@Override
 			public void keyPressed(KeyEvent e) {
@@ -161,8 +161,8 @@
 		});
 
 		Button go = new Button(controls, SWT.NONE);
-		go.setText(RCPMessages.Explorer_5);
-		go.setToolTipText(RCPMessages.Explorer_6);
+		go.setText(TXMUIMessages.Explorer_5);
+		go.setToolTipText(TXMUIMessages.Explorer_6);
 		go.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -174,8 +174,8 @@
 		});
 		
 		Button homeBtn = new Button(controls, SWT.NONE);
-		homeBtn.setText(RCPMessages.Explorer_7);
-		homeBtn.setToolTipText(RCPMessages.Explorer_8);
+		homeBtn.setText(TXMUIMessages.Explorer_7);
+		homeBtn.setToolTipText(TXMUIMessages.Explorer_8);
 		homeBtn.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -311,7 +311,7 @@
 				selectedItem.equals(samples) ||
 				selectedItem.equals(xsl))
 		{
-			System.out.println(NLS.bind(RCPMessages.Explorer_0, selectedItem));
+			System.out.println(NLS.bind(TXMUIMessages.Explorer_0, selectedItem));
 			return false;
 		}
 		return false;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 687)
@@ -55,7 +55,7 @@
 import org.eclipse.swt.widgets.TabFolder;
 import org.eclipse.swt.widgets.TabItem;
 import org.eclipse.swt.widgets.Text;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.widget.PartitionComposer;
 import org.txm.rcp.swt.widget.QueryWidget;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -150,7 +150,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(RCPMessages.CreatePartitionDialog_0);
+		newShell.setText(TXMUIMessages.CreatePartitionDialog_0);
 		newShell.setMinimumSize(400, 400);
 	}
 
@@ -170,7 +170,7 @@
 		FontData defaultFont = f.getFontData()[0];
 		defaultFont.setStyle(SWT.BOLD);
 		Font newf = new Font(nameLabel.getDisplay(), defaultFont);
-		nameLabel.setText(RCPMessages.CreatePartitionDialog_6);
+		nameLabel.setText(TXMUIMessages.CreatePartitionDialog_6);
 		nameLabel.setLayoutData(new GridData(GridData.FILL, GridData.CENTER,
 				false, false));
 		nameLabel.setFont(newf);
@@ -188,7 +188,7 @@
 
 		TabItem simpleTab = new TabItem(tabFolder, SWT.NONE);
 
-		simpleTab.setText(RCPMessages.CreatePartitionDialog_1);
+		simpleTab.setText(TXMUIMessages.CreatePartitionDialog_1);
 
 		Composite composite = new Composite(tabFolder, SWT.NONE);
 		simpleTab.setControl(composite);
@@ -200,7 +200,7 @@
 		// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 		Label structureLabel = new Label(composite, SWT.NONE);
-		structureLabel.setText(RCPMessages.CreatePartitionDialog_2);
+		structureLabel.setText(TXMUIMessages.CreatePartitionDialog_2);
 		structureLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
 
@@ -212,7 +212,7 @@
 		try {
 			structuralUnits = corpus.getOrderedStructuralUnits();
 		} catch (CqiClientException e) {
-			Log.severe(RCPMessages.ERROR
+			Log.severe(TXMUIMessages.ERROR
 					+ Log.toString(e));
 			return null;
 		}
@@ -255,7 +255,7 @@
 		// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 		Label propertyLabel = new Label(composite, SWT.NONE);
-		propertyLabel.setText(RCPMessages.CreatePartitionDialog_4);
+		propertyLabel.setText(TXMUIMessages.CreatePartitionDialog_4);
 		propertyLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -300,7 +300,7 @@
 		// Second Tab : assisted mode
 		TabItem assistedTab = new TabItem(tabFolder, SWT.NONE);
 
-		assistedTab.setText(RCPMessages.CreatePartitionDialog_3);
+		assistedTab.setText(TXMUIMessages.CreatePartitionDialog_3);
 
 		compositeForAssisted = new PartitionComposer(tabFolder, SWT.NONE,
 				this.corpus);
@@ -310,7 +310,7 @@
 		// --------------------------------------------------------
 
 		TabItem advancedTab = new TabItem(tabFolder, SWT.NONE);
-		advancedTab.setText(RCPMessages.CreatePartitionDialog_5);
+		advancedTab.setText(TXMUIMessages.CreatePartitionDialog_5);
 
 		Composite advanceContainer = new Composite(tabFolder, SWT.NONE);
 		GridLayout advanceLayout = new GridLayout(1, true);
@@ -450,7 +450,7 @@
 	 */
 	private void addQueryField(final Composite composite) {
 		final Text advancedPartLabel = new Text(composite, SWT.NONE);
-		advancedPartLabel.setText(RCPMessages.CreatePartitionDialog_7
+		advancedPartLabel.setText(TXMUIMessages.CreatePartitionDialog_7
 				+ (partNames.size() + 1)); 
 		advancedPartLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
@@ -498,21 +498,21 @@
 			{
 				String name = "partition"+(this.corpus.getPartitions().size()+1); //$NON-NLS-1$
 				nameText.setText(name);
-				System.out.println(RCPMessages.CreatePartitionDialog_9);
+				System.out.println(TXMUIMessages.CreatePartitionDialog_9);
 			}
 			else if (isAssistedSelected)
 			{
 				String name = this.corpus.getName()+"_"+compositeForAssisted.getProperty().getFullName(); //$NON-NLS-1$
 				nameText.setText(name);
-				System.out.println(RCPMessages.CreatePartitionDialog_9);
+				System.out.println(TXMUIMessages.CreatePartitionDialog_9);
 			}
 			//return;
 		}
 
 		if (isAdvancedSelected() && noquery()) {
 			MessageDialog.openError(getShell(),
-					RCPMessages.CreateSubcorpusDialog_13,
-					RCPMessages.CreatePartitionDialog_16);
+					TXMUIMessages.CreateSubcorpusDialog_13,
+					TXMUIMessages.CreatePartitionDialog_16);
 			return;
 		}
 
@@ -549,7 +549,7 @@
 	public StructuralUnit getStructuralUnit() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					RCPMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.Cannot_ask_simple_when_advance);
 		return selectedStructuralUnit;
 	}
 
@@ -561,7 +561,7 @@
 	public StructuralUnitProperty getStructuralUnitProperty() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					RCPMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.Cannot_ask_simple_when_advance);
 		return selectedStructuralUnitProperty;
 	}
 
@@ -573,7 +573,7 @@
 	public List<String> getQueries() {
 		if (!isAdvancedSelected())
 			throw new IllegalStateException(
-					RCPMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.Cannot_ask_simple_when_advance);
 		return queriesString;
 	}
 
@@ -616,12 +616,12 @@
 		}
 
 		if (p == null) {
-			System.out.println(RCPMessages.CreatePartitionDialog_8);
+			System.out.println(TXMUIMessages.CreatePartitionDialog_8);
 			return null;
 		}
 		
 		if (p.getParts().size() == 0) {
-			System.out.println(RCPMessages.CreatePartitionDialog_10);
+			System.out.println(TXMUIMessages.CreatePartitionDialog_10);
 			return null;
 		}
 		
@@ -642,7 +642,7 @@
 		for (Text t: partNames) {
 			String name = t.getText().trim();
 			if (name.length() == 0)
-				name = RCPMessages.CreatePartitionDialog_7+count++; 
+				name = TXMUIMessages.CreatePartitionDialog_7+count++; 
 			values.add(name);
 		}
 		return values;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java	(revision 687)
@@ -49,7 +49,7 @@
 import org.txm.importer.scripting.GroovyImportScriptRunner;
 import org.txm.rcp.Application;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 
@@ -77,8 +77,8 @@
 	public RunGroovyScript(IWorkbenchWindow window) {
 		this.window = window;
 		setId(ID);
-		setText(RCPMessages.RunGroovyScript_1);
-		setToolTipText(RCPMessages.RunGroovyScript_2);
+		setText(TXMUIMessages.RunGroovyScript_1);
+		setToolTipText(TXMUIMessages.RunGroovyScript_2);
 		setImageDescriptor(AbstractUIPlugin.imageDescriptorFromPlugin(
 				Application.PLUGIN_ID, IImageKeys.ACTION_RUN_SCRIPT));
 	}
@@ -101,7 +101,7 @@
 	public void run() {
 
 		FileDialog dialog = new FileDialog(window.getShell(), SWT.OPEN);
-		dialog.setFilterExtensions(new String[] { RCPMessages.RunGroovyScript_3 });
+		dialog.setFilterExtensions(new String[] { TXMUIMessages.RunGroovyScript_3 });
 		String scriptRootDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
 		String scriptCurrentDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
 		
@@ -121,18 +121,18 @@
 			classPath.add(new File(scriptRootDir));
 			gse = new GroovyImportScriptRunner(script, classPath);
 		} catch (IOException e) {
-			System.err.println(NLS.bind(RCPMessages.RunGroovyScript_4, e));
+			System.err.println(NLS.bind(TXMUIMessages.RunGroovyScript_4, e));
 			System.err.println(e);
 		}
 
 		if (gse != null) {
-			JobHandler jobhandler = new JobHandler(RCPMessages.RunGroovyScript_0,
+			JobHandler jobhandler = new JobHandler(TXMUIMessages.RunGroovyScript_0,
 					null) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
-						monitor.beginTask(RCPMessages.RunGroovyScript_9, 100);
+						monitor.beginTask(TXMUIMessages.RunGroovyScript_9, 100);
 						new Binding();
 						// gse.run(binding);
 						monitor.worked(100);
@@ -140,7 +140,7 @@
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
 					} catch (Exception e) {
-						System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8,
+						System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8,
 								e));
 					} finally {
 						monitor.done();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateFrequencyListDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateFrequencyListDialog.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateFrequencyListDialog.java	(revision 687)
@@ -40,7 +40,7 @@
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -83,7 +83,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(RCPMessages.FrequencyListEditorInput_0);
+		newShell.setText(TXMUIMessages.FrequencyListEditorInput_0);
 	}
 
 	/**
@@ -105,7 +105,7 @@
 		composite.setLayout(layout);
 
 		Label anaPropLabel = new Label(composite, SWT.NONE);
-		anaPropLabel.setText(RCPMessages.CreatePartitionDialog_4);
+		anaPropLabel.setText(TXMUIMessages.CreatePartitionDialog_4);
 		anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -129,8 +129,8 @@
 		int propIndex = anaPropCombo.getSelectionIndex();
 		if (propIndex == -1) {
 			MessageDialog.openError(getShell(),
-					RCPMessages.Invalid_analysis_property,
-					RCPMessages.Structure_field_not_empty);
+					TXMUIMessages.Invalid_analysis_property,
+					TXMUIMessages.Structure_field_not_empty);
 			return;
 		}
 		property = properties.get(propIndex);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/SaveBeforeExecutionDialog.java	(revision 687)
@@ -61,7 +61,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(org.txm.rcp.RCPMessages.SaveBeforeExecutionDialog_0);
+		newShell.setText(org.txm.rcp.messages.TXMUIMessages.SaveBeforeExecutionDialog_0);
 		newShell.setMinimumSize(300, 460);
 
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/___DeleteInCorporaView.java	(revision 687)
@@ -34,7 +34,7 @@
 import org.eclipse.ui.ISelectionListener;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
@@ -99,7 +99,7 @@
 			try {
 				subcorpus.getMotherSubcorpus().dropSubcorpus(subcorpus);
 			} catch (CqiClientException e) {
-				System.err.println(NLS.bind(RCPMessages.DeleteInCorporaView_1, e));
+				System.err.println(NLS.bind(TXMUIMessages.DeleteInCorporaView_1, e));
 			}
 		}
 		if (selection.getFirstElement() instanceof Partition) {
@@ -108,7 +108,7 @@
 				partition.getCorpus().dropPartition(partition);
 			} catch (CqiClientException e) {
 				System.err.println(NLS.bind(
-						RCPMessages.DeleteInCorporaView_2, e));
+						TXMUIMessages.DeleteInCorporaView_2, e));
 			}
 		}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreateSubcorpusDialog.java	(revision 687)
@@ -45,7 +45,7 @@
 import org.eclipse.swt.widgets.TabFolder;
 import org.eclipse.swt.widgets.TabItem;
 import org.eclipse.swt.widgets.Text;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.widget.ComplexSubcorpusPanel;
 import org.txm.rcp.swt.widget.QueryWidget;
 import org.txm.rcp.swt.widget.SimpleSubcorpusPanel;
@@ -115,7 +115,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(RCPMessages.CreateSubcorpusDialog_0);
+		newShell.setText(TXMUIMessages.CreateSubcorpusDialog_0);
 		newShell.setMinimumSize(300, 300);
 	}
 
@@ -151,7 +151,7 @@
 		nameComposite.setLayout(layout4nameComposite);
 
 		Label nameLabel = new Label(nameComposite, SWT.NONE);
-		nameLabel.setText(RCPMessages.CreatePartitionDialog_6);
+		nameLabel.setText(TXMUIMessages.CreatePartitionDialog_6);
 		nameLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, false, false));
 
 		name = new Text(nameComposite, SWT.BORDER);
@@ -163,19 +163,19 @@
 		
 		// First tab
 		TabItem simpleTab = new TabItem(tabFolder, SWT.NONE);
-		simpleTab.setText(RCPMessages.CreatePartitionDialog_1);
+		simpleTab.setText(TXMUIMessages.CreatePartitionDialog_1);
 		simplePanel = new SimpleSubcorpusPanel(tabFolder, SWT.NONE, this, corpus);
 		simpleTab.setControl(simplePanel);
 		
 		//Second tab: assisted mode
 		TabItem secondTab = new TabItem(tabFolder, SWT.NONE);
-		secondTab.setText(RCPMessages.CreatePartitionDialog_3);
+		secondTab.setText(TXMUIMessages.CreatePartitionDialog_3);
 		this.complexPanel = new ComplexSubcorpusPanel(tabFolder, SWT.NONE, this.corpus);
 		secondTab.setControl(complexPanel);
 
 		// Third tab: advanced mode
 		TabItem advancedTab = new TabItem(tabFolder, SWT.NONE);
-		advancedTab.setText(RCPMessages.CreatePartitionDialog_5);
+		advancedTab.setText(TXMUIMessages.CreatePartitionDialog_5);
 
 		Composite compositeForAdvanced = new Composite(tabFolder, SWT.NONE);
 		advancedTab.setControl(compositeForAdvanced);
@@ -184,7 +184,7 @@
 		compositeForAdvanced.setLayout(layoutForAdvanced);
 
 		Label advancedPartLabel = new Label(compositeForAdvanced, SWT.NONE);
-		advancedPartLabel.setText(RCPMessages.CreateSubcorpusDialog_10);
+		advancedPartLabel.setText(TXMUIMessages.CreateSubcorpusDialog_10);
 		advancedPartLabel.setLayoutData(new GridData(GridData.END,
 				GridData.CENTER, false, false));
 
@@ -236,7 +236,7 @@
 		if (name.getText().length() == 0) {
 			String generated = "subcorpus"; //$NON-NLS-1$
 
-			System.out.println(RCPMessages.CreateSubcorpusDialog_8);
+			System.out.println(TXMUIMessages.CreateSubcorpusDialog_8);
 			if (isAdvancedSelected()) {
 				generated += ""+(this.corpus.getSubcorpora().size()+1); //$NON-NLS-1$
 			} else if (assistedSelected) {
@@ -250,8 +250,8 @@
 		// test if a query has been set
 		if ((isAdvancedSelected()) && queryText.getText().length() == 0) {
 			MessageDialog.openError(getShell(),
-					RCPMessages.CreateSubcorpusDialog_13,
-					RCPMessages.CreateSubcorpusDialog_14);
+					TXMUIMessages.CreateSubcorpusDialog_13,
+					TXMUIMessages.CreateSubcorpusDialog_14);
 			return;
 		}
 
@@ -267,8 +267,8 @@
 				//System.out.println("3 "+queryString);
 				if (queryString == null || queryString.trim().length() == 0) {
 					MessageDialog.openError(getShell(),
-							RCPMessages.CreateSubcorpusDialog_13,
-							RCPMessages.CreateSubcorpusDialog_14);
+							TXMUIMessages.CreateSubcorpusDialog_13,
+							TXMUIMessages.CreateSubcorpusDialog_14);
 					return;
 				}
 			}
@@ -304,7 +304,7 @@
 	public StructuralUnit getStructuralUnit() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					RCPMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.Cannot_ask_simple_when_advance);
 		return simplePanel.selectedStructuralUnit;
 	}
 
@@ -316,7 +316,7 @@
 	public StructuralUnitProperty getStructuralUnitProperty() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					RCPMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.Cannot_ask_simple_when_advance);
 		return simplePanel.selectedStructuralUnitProperty;
 	}
 
@@ -328,7 +328,7 @@
 	public List<String> getValues() {
 		if (isAdvancedSelected())
 			throw new IllegalStateException(
-					RCPMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.Cannot_ask_simple_when_advance);
 		return simplePanel.selectedValues;
 	}
 
@@ -340,7 +340,7 @@
 	public String getQuery() {
 		if (isAdvancedSelected() == false && isAssistedSelected() == false)
 			throw new IllegalStateException(
-					RCPMessages.Cannot_ask_simple_when_advance);
+					TXMUIMessages.Cannot_ask_simple_when_advance);
 		return queryString;
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 687)
@@ -51,8 +51,8 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.Application;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TxmPreferences;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.dialog.ComboDialog;
 import org.txm.utils.logger.Log;
@@ -90,7 +90,7 @@
 		values.add("fr"); //$NON-NLS-1$
 		values.add("en"); //$NON-NLS-1$
 		values.add("ru"); //$NON-NLS-1$
-		ComboDialog d = new ComboDialog(shell, RCPMessages.LanguageSwitchHandler_3, values,
+		ComboDialog d = new ComboDialog(shell, TXMUIMessages.LanguageSwitchHandler_3, values,
 				service.getString(Application.PLUGIN_ID,
 						RCPPreferences.UI_LOCALE, "fr", null)); //$NON-NLS-1$
 		if (d.open() == Window.OK) {
@@ -101,7 +101,7 @@
 		String locale = service.getString(Application.PLUGIN_ID,
 				RCPPreferences.UI_LOCALE, "fr", null); //$NON-NLS-1$
 		if (locale.length() == 0)
-			Log.warning(RCPMessages.LanguageSwitchHandler_0);
+			Log.warning(TXMUIMessages.LanguageSwitchHandler_0);
 		// Does not work:
 		//System.getProperties().setProperty("eclipse.exitdata", "-nl " + locale);
 		//changeLocaleTXMIni(locale);
@@ -130,22 +130,22 @@
 			String path = System.getProperty("osgi.instance.area"); //$NON-NLS-1$
 			location = new URL(path + "TXM.ini"); //$NON-NLS-1$
 		} catch (MalformedURLException e) {
-			System.err.println(NLS.bind(RCPMessages.LanguageSwitchHandler_5, location));
+			System.err.println(NLS.bind(TXMUIMessages.LanguageSwitchHandler_5, location));
 			return;
 		}
 		
 		String fileName = location.getFile();
 		File file = new File(fileName);
 		if (!file.exists()) {
-			MessageBox.error(NLS.bind(RCPMessages.LanguageSwitchHandler_1, file.getAbsolutePath()));
+			MessageBox.error(NLS.bind(TXMUIMessages.LanguageSwitchHandler_1, file.getAbsolutePath()));
 			return;
 		}
 		fileName += ".bak"; //$NON-NLS-1$
 		file.renameTo(new File(fileName));
 		
 		// update TXM.ini
-		System.out.println(RCPMessages.LanguageSwitchHandler_7+location);
-		Log.severe(RCPMessages.LanguageSwitchHandler_7+location);
+		System.out.println(TXMUIMessages.LanguageSwitchHandler_7+location);
+		Log.severe(TXMUIMessages.LanguageSwitchHandler_7+location);
 		try {
 
 			BufferedReader in = new BufferedReader(new FileReader(fileName));
@@ -233,7 +233,7 @@
 
 		File file = new File(fileName);
 		if (!file.exists()) {
-			MessageBox.error(NLS.bind(RCPMessages.LanguageSwitchHandler_1, file.getAbsolutePath()));
+			MessageBox.error(NLS.bind(TXMUIMessages.LanguageSwitchHandler_1, file.getAbsolutePath()));
 			return;
 		}
 		String fileNameBackup = fileName + ".bak"; //$NON-NLS-1$
